#include <iostream>

using namespace std;

typedef struct vaga{
    int d, u;
}vage;

typedef struct upit{
    int l, r, x;
}upiti;

int main()
{
    int n, m, i, j;
    cin >> n >> m;
    vage v[n];
    upiti u[m];
    int rez[m];
    for(i = 0; i < n; i ++){
        cin >> v[i].d >> v[i].u;
    }
    for(i = 0; i < m; i ++){
        cin >> u[i].l >> u[i].r >> u[i].x;
        rez[i] = 0;
        for(j = u[i].l - 1; j < u[i].r; j ++){
            if(v[j].d <= u[i].x && v[j].u >= u[i].x) rez[i] ++;
        }
    }
    for(i = 0; i < m; i ++){
        cout << rez[i] << endl;
    }
    return 0;
}